wrong order of assertEquals args

Bug #1277104 reported by Ilya Tyaptin on 2014-02-06
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ceilometer
Low
Ilya Tyaptin
Cinder
Wishlist
Skyler Berg
Glance
Wishlist
Roman Vasilets
Glance Client
Wishlist
Louis Taylor
Manila
Wishlist
Yatin Kumbhare
OpenStack DBaaS (Trove)
Low
Sushil Kumar
OpenStack Identity (keystone)
Wishlist
David Stanek
Python client library for Sahara
Fix Released
Low
Sergey Reshetnyak
Rally
Wishlist
Swapnil Kulkarni
ironic-python-agent
Fix Released
Low
Kan
kolla
Wishlist
Surya Prakash Singh
neutron
Undecided
Yatin Kumbhare
oslo.messaging
Wishlist
ChangBo Guo(gcb)
oslo.policy
Low
Ian Cordasco
python-ceilometerclient
Low
Steve Wilkerson
python-ironicclient
Fix Released
Undecided
Yuiko Takada
python-novaclient
Wishlist
liaonanhai
python-openstackclient
Fix Released
Low
Yuiko Takada
python-solumclient
Undecided
Reedip
python-swiftclient
Undecided
Steve Wilkerson
python-troveclient
Undecided
Sushil Kumar

Bug Description

Args of assertEquals method in ceilometer.tests are arranged in wrong order. In result when test fails it shows incorrect information about observed and actual data. It's found more than 2000 times.
Right order of arguments is "expected, actual".

Ilya Tyaptin (ityaptin) on 2014-02-06
Changed in ceilometer:
assignee: nobody → Ilya Tyaptin (ityaptin)
gordon chung (chungg) wrote :

i started to notice this too... i pretend to be ignorant. :)

Changed in ceilometer:
importance: Undecided → Low

Fix proposed to branch: master
Review: https://review.openstack.org/71595

Changed in ceilometer:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/71839

Fix proposed to branch: master
Review: https://review.openstack.org/71840

Fix proposed to branch: master
Review: https://review.openstack.org/71841

Fix proposed to branch: master
Review: https://review.openstack.org/71843

Haiwei Xu (xu-haiwei) on 2014-02-19
Changed in keystone:
status: New → In Progress
assignee: nobody → Haiwei Xu (xu-haiwei)
Changed in python-ironicclient:
assignee: nobody → Yuiko Takada (takada-yuiko)
Dolph Mathews (dolph) on 2014-02-21
Changed in keystone:
importance: Undecided → Wishlist
Dolph Mathews (dolph) wrote :

Is there any justification for this? Some of the resulting changes read very awkwardly to me, such as:

  self.assertEqual(2, len(collection))

Because I would never write the "expected" first, like this:

  if 2 == len(collection):
    pass

I would always start with the variable (the "actual"), like this:

  if len(collection) == 2:
    pass

Kiyohiro Adachi (adachi) on 2014-02-21
no longer affects: cinder
Eiichi Aikawa (aikawa) on 2014-02-21
Changed in python-glanceclient:
assignee: nobody → Eiichi Aikawa (aikawa)
status: New → In Progress
Ken'ichi Ohmichi (oomichi) wrote :

@Dolph,

The reason why we should fix the order is assertEqual() outputs "reference" and "actual" if the length of "actual" is over 70 chars.

Traceback (most recent call last):
  File "/opt/stack/cinder/cinder/tests/test_zadara.py", line 553, in test_volume_attach_detach
    self.assertEqual(props['driver_volume_type'], 'iscsi000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000')
  File "/opt/stack/cinder/.venv/local/lib/python2.7/site-packages/testtools/testcase.py", line 321, in assertEqual
    self.assertThat(observed, matcher, message)
  File "/opt/stack/cinder/.venv/local/lib/python2.7/site-packages/testtools/testcase.py", line 406, in assertThat
    raise mismatch_error
MismatchError: !=:
reference = 'iscsi'
actual = 'iscsi000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'

The code is https://github.com/testing-cabal/testtools/blob/master/testtools/matchers/_basic.py#L77

When I faced some problems with assertEqual(), I was confused due to invalid order.
This fixing would make debugging more easy.

Zhi Yan Liu (lzy-dev) on 2014-02-24
Changed in python-glanceclient:
importance: Undecided → Wishlist
Eiichi Aikawa (aikawa) on 2014-02-25
Changed in python-swiftclient:
assignee: nobody → Eiichi Aikawa (aikawa)
Zhi Yan Liu (lzy-dev) on 2014-02-26
Changed in glance:
importance: Undecided → Wishlist
Eiichi Aikawa (aikawa) on 2014-02-26
Changed in python-swiftclient:
status: New → In Progress
Eiichi Aikawa (aikawa) on 2014-02-27
Changed in python-novaclient:
assignee: nobody → Eiichi Aikawa (aikawa)
status: New → In Progress
Liyingjun (liyingjun) on 2014-02-27
Changed in glance:
assignee: nobody → Liyingjun (liyingjun)
Changed in cinder:
assignee: nobody → Liyingjun (liyingjun)
Changed in nova:
assignee: nobody → Liyingjun (liyingjun)
Pete Zaitcev (zaitcev) wrote :

It is plainly obvious that testtools code is broken and adjusting our good code to match is not the best course of action. Every code example in their own documentation uses the (actual, expected) order. EVERY SINGLE ONE. And everyone else writes tests in that order, too.

See http://docs.python.org/3/library/unittest.html

Has anyone tried to raise this problem with testtools upstream?

Pete Zaitcev (zaitcev) wrote :

Reported to Python (hopefuly it's the right avenue):
 http://bugs.python.org/issue20798

Pete Zaitcev (zaitcev) wrote :

Sorry, testtools are not a part of Python library. Trying again, with feeling:
 https://github.com/testing-cabal/testtools/issues/80

Changed in cinder:
importance: Undecided → Wishlist

Fix proposed to branch: master
Review: https://review.openstack.org/77050

Changed in cinder:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/77051

Fix proposed to branch: master
Review: https://review.openstack.org/77052

Fix proposed to branch: master
Review: https://review.openstack.org/77054

Fix proposed to branch: master
Review: https://review.openstack.org/77056

Reviewed: https://review.openstack.org/74649
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=8a32707581a0e88dd406b396e72786827bdc8fb0
Submitter: Jenkins
Branch: master

commit 8a32707581a0e88dd406b396e72786827bdc8fb0
Author: Haiwei Xu <email address hidden>
Date: Thu Feb 20 04:06:25 2014 +0900

    Fix the order of assertEqual arguments(v3_auth, v3_identity)

    assertEqual method's arguments should be in
    ('expected', 'actual') order.

    Change-Id: I771c0356518eceded52b045cba2177ab5dd7f4b1
    Partial-Bug: #1277104

Reviewed: https://review.openstack.org/74927
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=73d5422768a7bdf145a4a97daceffdbd164b2b71
Submitter: Jenkins
Branch: master

commit 73d5422768a7bdf145a4a97daceffdbd164b2b71
Author: Haiwei Xu <email address hidden>
Date: Thu Feb 20 23:14:26 2014 +0900

    Fix assertEqual arguments order(backend_ldap, cache, v3_protection)

    assertEqual method's arguments should be in
    ('expected', 'actual') order.

    Partial-Bug: #1277104

    Change-Id: I311590525bfebd3c587af6a94f6989df66dc2064

Reviewed: https://review.openstack.org/74931
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=593f7c7387d0b8d4061d67c1e07e20dbd1e0a465
Submitter: Jenkins
Branch: master

commit 593f7c7387d0b8d4061d67c1e07e20dbd1e0a465
Author: Haiwei Xu <email address hidden>
Date: Thu Feb 20 23:37:41 2014 +0900

    Fix assertEqual arguments order(_ldap_tls_livetest, backend_kvs, etc)

    assertEqual method's arguments should be in
    ('expected', 'actual') order.

    Partial-Bug: #1277104

    Change-Id: I48d2220ebd39d72de071a4644b75182941bb5f4f

Claudiu Belu (cbelu) on 2014-03-05
tags: added: testing
Michael Still (mikal) on 2014-03-07
Changed in nova:
status: New → Triaged
importance: Undecided → Wishlist
Ildiko Vancsa (ildiko-vancsa) wrote :

Hi,

This bug is a duplication of https://bugs.launchpad.net/heat/+bug/1259292. There are ongoing activities for both bug reports, some of them are overlapping (Ceilometer and Cinder). It would be good to check these activities and synchronize them.

Best Regards,
Ildiko

Mark Korondi (kmarc) wrote :

I proposed a fix by refactoring all the assertEqual invocations under test/ in ceilometer:

https://bugs.launchpad.net/heat/+bug/1259292/comments/14
Fix proposed to branch: master
Review: https://review.openstack.org/78762

Fix proposed to branch: master
Review: https://review.openstack.org/79637

Changed in glance:
status: New → In Progress
Changed in python-openstackclient:
assignee: nobody → Yuiko Takada (takada-yuiko)
Jia Dong (jiadong-jia) on 2014-03-18
Changed in python-ceilometerclient:
assignee: nobody → Jia Dong (jiadong-jia)
Changed in keystone:
assignee: Haiwei Xu (xu-haiwei) → Morgan Fainberg (mdrnstm)
Terry Howe (thowe-g) wrote :

Presumably Yuiko Takada is working on this.

Changed in python-openstackclient:
status: New → In Progress

Reviewed: https://review.openstack.org/75851
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=46ce08c8fe9f5caf168cef9407c9a7b661fce11b
Submitter: Jenkins
Branch: master

commit 46ce08c8fe9f5caf168cef9407c9a7b661fce11b
Author: Haiwei Xu <email address hidden>
Date: Tue Feb 25 06:22:47 2014 +0900

    Fix assertEqual arguments order(auth_plugin, backend, backend_sql, etc)

    assertEqual method's arguments should be in
    ('expected', 'actual') order.

    Change-Id: I111c9caf415fa5d03f2e06785c01316bd6a7617e
    Partial-Bug: #1277104

Changed in keystone:
assignee: Morgan Fainberg (mdrnstm) → Haiwei Xu (xu-haiwei)

Reviewed: https://review.openstack.org/77090
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=e6711264c41bda69448ba8c643ed457ce58b454f
Submitter: Jenkins
Branch: master

commit e6711264c41bda69448ba8c643ed457ce58b454f
Author: Haiwei Xu <email address hidden>
Date: Sat Mar 1 01:21:24 2014 +0900

    Fix the order of assertEqual arguments(keystoneclient, kvs, etc)

    assertEqual method's arguments should be in
    ('expected', 'actual') order.

    Change-Id: Ic429c9264a823c3b03ca3b5c898b4aeb96891504
    Partial-Bug: #1277104

Changed in oslo.messaging:
assignee: nobody → ChangBo Guo(gcb) (glongwave)

Fix proposed to branch: master
Review: https://review.openstack.org/84668

Changed in oslo.messaging:
status: New → In Progress
Ildiko Vancsa (ildiko-vancsa) wrote :

Patch for python-ceilometerclient: https://review.openstack.org/#/c/81154/3

Changed in python-ceilometerclient:
status: New → In Progress
importance: Undecided → Low
Mark McLoughlin (markmc) on 2014-04-02
Changed in oslo.messaging:
importance: Undecided → Wishlist

Reviewed: https://review.openstack.org/84668
Committed: https://git.openstack.org/cgit/openstack/oslo.messaging/commit/?id=a7450229f8358b8bd038d177e2b504554a98bd45
Submitter: Jenkins
Branch: master

commit a7450229f8358b8bd038d177e2b504554a98bd45
Author: ChangBo Guo(gcb) <email address hidden>
Date: Wed Apr 2 17:09:21 2014 +0800

    Trival:Fix assertEqual arguments order

    assertEqual method's arguments should be in ('expected', 'actual')
    order.

    Change-Id: I35f045a9d3a6e7f083fb137c751eeab52c77000b
    Closes-bug: 1277104

Changed in oslo.messaging:
status: In Progress → Fix Committed
Changed in oslo:
assignee: nobody → ChangBo Guo(gcb) (glongwave)
Changed in oslo:
importance: Undecided → Wishlist
status: New → Triaged
Ben Nemec (bnemec) wrote :

So, IMHO if we're going to enforce this we need to enforce using keyword args for assertEqual. There's no way to automatically enforce the positional form, and there's no way reviewers are going to catch every instance of someone swapping them. There's a slightly better chance of reviewers catching something of the form self.assertEqual(expected=actual, actual=expected) though.

That said, I doubt I will ever trust the expected, actual in test failures anyway, so I really don't care about this. :-)

Reviewed: https://review.openstack.org/75763
Committed: https://git.openstack.org/cgit/openstack/python-glanceclient/commit/?id=5528ba536fd86cad225feb1d4e5bb75d838ecf69
Submitter: Jenkins
Branch: master

commit 5528ba536fd86cad225feb1d4e5bb75d838ecf69
Author: Eiichi Aikawa <email address hidden>
Date: Mon Feb 24 14:20:18 2014 +0900

    Fix the parameter order of assertEqual in glanceclient v1 test

    On assertEqual, the order of parameters should be (expected, observed).
    But, some part of glanceclient v1 test were written with invalid order.
    This patch fixes this problem.

    Change-Id: If361309041a257c56bfc1fbbccf1b905839b0c18
    Partially-bug: #1277104

Reviewed: https://review.openstack.org/76100
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=e505b491813b756a16f8cba85df7b9b8ffdce254
Submitter: Jenkins
Branch: master

commit e505b491813b756a16f8cba85df7b9b8ffdce254
Author: Haiwei Xu <email address hidden>
Date: Wed Feb 26 00:17:00 2014 +0900

    Fix assertEqual arguments order(catalog, cert_setup, etc)

    assertEqual method's arguments should be in
    ('expected', 'actual') order.

    Change-Id: Id591629a10e6e82c4eb607a9994071f16dd80d8b
    Partial-Bug: #1277104

Reviewed: https://review.openstack.org/76063
Committed: https://git.openstack.org/cgit/openstack/python-glanceclient/commit/?id=3576b1bdcb83f6164ec5e6d59714930d1e1f1c30
Submitter: Jenkins
Branch: master

commit 3576b1bdcb83f6164ec5e6d59714930d1e1f1c30
Author: Eiichi Aikawa <email address hidden>
Date: Mon Feb 24 18:47:59 2014 +0900

    Fix the parameter order of assertEqual in glanceclient test

    On assertEqual, the order of parameters should be (expected, observed).
    But, some part of glanceclient test were written with invalid order.
    This patch fixes this problem.

    Change-Id: I7722fdce766ce3cc5bc9944dc72d7d0af0b09f69
    Partially-bug: #1277104

Dmitry Tantsur (divius) wrote :
Changed in python-ironicclient:
status: New → Fix Released
Thierry Carrez (ttx) on 2014-06-12
Changed in oslo.messaging:
milestone: none → juno-1
status: Fix Committed → Fix Released
gordon chung (chungg) wrote :
Changed in ceilometer:
status: In Progress → Fix Committed
Dean Troyer (dtroyer) on 2014-06-20
Changed in python-openstackclient:
importance: Undecided → Low
milestone: none → m5
Changed in keystone:
assignee: Haiwei Xu (xu-haiwei) → David Stanek (dstanek)
tags: added: test-improvement
melanie witt (melwitt) wrote :

Patches were abandoned.

Changed in python-novaclient:
assignee: Eiichi Aikawa (aikawa) → nobody
importance: Undecided → Wishlist
status: In Progress → Triaged

Reviewed: https://review.openstack.org/77514
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=9d12ec57a25b3af64cc45b3cf27c2a6f3f569a8a
Submitter: Jenkins
Branch: master

commit 9d12ec57a25b3af64cc45b3cf27c2a6f3f569a8a
Author: Haiwei Xu <email address hidden>
Date: Tue Mar 4 01:24:38 2014 +0900

    Fixes the order of assertEqual arguments

    assertEqual method's arguments should be in
    ('expected', 'actual') order.

    Change-Id: I524113ccc4a00e8363b2f9c418a3754f482b44d0
    Partial-Bug: #1277104

Joe Gordon (jogo) on 2014-07-18
no longer affects: nova
Changed in ceilometer:
milestone: none → juno-2
status: Fix Committed → Fix Released
lvdongbing (dbcocle) on 2014-07-29
Changed in python-novaclient:
assignee: nobody → lvdongbing (dbcocle)
lvdongbing (dbcocle) on 2014-08-04
Changed in python-novaclient:
assignee: lvdongbing (dbcocle) → nobody
liaonanhai (nanhai-liao) on 2014-08-04
Changed in python-novaclient:
assignee: nobody → liaonanhai (nanhai-liao)
Changed in rally:
assignee: nobody → Swapnil Kulkarni (coolsvap)
liaonanhai (nanhai-liao) on 2014-08-07
Changed in python-novaclient:
status: Triaged → In Progress
David Stanek (dstanek) on 2014-08-14
Changed in keystone:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-09-04
Changed in keystone:
status: Fix Committed → Fix Released
milestone: none → juno-3
no longer affects: oslo-incubator

Reviewed: https://review.openstack.org/119065
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=dc68d3f5cfb2df1008bfb342984bd7fe1298f917
Submitter: Jenkins
Branch: master

commit dc68d3f5cfb2df1008bfb342984bd7fe1298f917
Author: Terry Howe <email address hidden>
Date: Thu Sep 4 07:52:58 2014 -0600

    assertEquals order wrong

    Change-Id: I822b6ac5b8e8c3009d1ee2d647376eff84559c11
    Partial-Bug: #1277104

Changed in rally:
importance: Undecided → Wishlist
status: New → Confirmed
Dean Troyer (dtroyer) on 2014-09-09
Changed in python-openstackclient:
milestone: m5 → none
status: In Progress → Fix Released
Changed in glance:
assignee: Liyingjun (liyingjun) → Roman Vasilets (rvasilets)
Louis Taylor (kragniz) on 2014-09-20
Changed in python-glanceclient:
assignee: Eiichi Aikawa (aikawa) → Louis Taylor (kragniz)

Reviewed: https://review.openstack.org/122724
Committed: https://git.openstack.org/cgit/openstack/python-glanceclient/commit/?id=1511c86933bf73a3a5af32f52d15ad4d9fe0d03d
Submitter: Jenkins
Branch: master

commit 1511c86933bf73a3a5af32f52d15ad4d9fe0d03d
Author: Louis Taylor <email address hidden>
Date: Fri Sep 19 12:41:23 2014 +0000

    Fix the ordering of assertEqual arguments

    This keeps testtools happy, since it expects the argument ordering to be
    (expected, actual).

    Change-Id: I95b41ad7645700ce23b46c7a5700e79008ed08be
    Closes-bug: #1277104

Changed in python-glanceclient:
status: In Progress → Fix Committed
liaonanhai (nanhai-liao) on 2014-09-26
Changed in python-novaclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/117295
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=2b8c7c9595345582d78a773c5e1241b9e3b7ee8d
Submitter: Jenkins
Branch: master

commit 2b8c7c9595345582d78a773c5e1241b9e3b7ee8d
Author: Roman Vasilets <email address hidden>
Date: Wed Aug 27 18:40:41 2014 +0300

    Fix glance V2 incorrectly implements JSON Patch'add'

    According to the RFC for JSON Patch
    http://tools.ietf.org/html/rfc6902#section-4.1
    the 'add' operation, in the event that the property being
    added already exists, should replace the existing value. For backward
    compatibility We've fix it only for the latest content type.

    Change-Id: Ia4be8b384f8b7f193f139f2206ceea25786b5cc3
    Closes-bug: 1250158
    DocImpact
    Partial-bug: #1277104

Changed in python-saharaclient:
status: New → Confirmed
no longer affects: python-saharaclient
Changed in python-saharaclient:
importance: Undecided → Low
milestone: none → next
status: New → Confirmed
Changed in python-saharaclient:
assignee: nobody → Sergey Reshetnyak (sreshetniak)

Fix proposed to branch: master
Review: https://review.openstack.org/125945

Changed in python-saharaclient:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/125945
Committed: https://git.openstack.org/cgit/openstack/python-saharaclient/commit/?id=e17d031b67accff0ad8f2d6b1175009ae54cac03
Submitter: Jenkins
Branch: master

commit e17d031b67accff0ad8f2d6b1175009ae54cac03
Author: Sergey Reshetnyak <email address hidden>
Date: Fri Oct 3 16:01:24 2014 +0400

    Fix arguments order in assertEqual

    Change-Id: Ib5b98cbbc0cf129d14401c8ae3800ac43550a424
    Closes-bug: #1277104

Changed in python-saharaclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/79637
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=2365a3fb5fa1b7e453ea6f275e95cc9255cb0581
Submitter: Jenkins
Branch: master

commit 2365a3fb5fa1b7e453ea6f275e95cc9255cb0581
Author: liyingjun <email address hidden>
Date: Tue Feb 25 07:09:08 2014 +0800

    Fix assertEqual arguments order

    assertEqual method's arguments should be in ('expected', 'actual')
    order.

    Change-Id: I88b5b0558720a91236b62b6e4a3590901e817f85
    Closes-bug: 1277104

Changed in glance:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-10-16
Changed in keystone:
milestone: juno-3 → 2014.2
Thierry Carrez (ttx) on 2014-10-16
Changed in ceilometer:
milestone: juno-2 → 2014.2
Louis Taylor (kragniz) on 2014-11-10
Changed in python-glanceclient:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/123769
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=cb2456ea5eb0a7b02a870b10a531405d95e3407a
Submitter: Jenkins
Branch: master

commit cb2456ea5eb0a7b02a870b10a531405d95e3407a
Author: Roman Vasilets <email address hidden>
Date: Thu Oct 9 16:04:32 2014 +0300

    Wrong order of assertEquals args(Glance)

    Args of assertEquals method in glance.tests are arranged
    in wrong order. In result when test fails it shows incorrect
    information about observed and actual data. It's found more
    than 2000 times. Right order of arguments is "expected, actual".

    Change-Id: Ifea4809f5a696b608a19e36a9ed9e5eec46c8a21
    Co-Authored-By: Li Yingjun <email address hidden>
    Closes-Bug: 1277104

Eiichi Aikawa (aikawa) on 2014-11-21
Changed in python-swiftclient:
assignee: Eiichi Aikawa (aikawa) → nobody
Changed in python-swiftclient:
assignee: nobody → Roman Vasilets (rvasilets)

Reviewed: https://review.openstack.org/134940
Committed: https://git.openstack.org/cgit/openstack/ceilometer/commit/?id=f6053d5959b3fa0355ef8de0d2c09f3f58a259bd
Submitter: Jenkins
Branch: master

commit f6053d5959b3fa0355ef8de0d2c09f3f58a259bd
Author: Lena Novokshonova <email address hidden>
Date: Mon Nov 17 16:41:10 2014 +0400

    Fix order of arguments in assertEqual

    Related-Bug: 1277104

    Change-Id: I61c8d81b18267d776d2abdc77b538dfe43e1c6dd

Thierry Carrez (ttx) on 2014-12-19
Changed in glance:
milestone: none → kilo-1
status: Fix Committed → Fix Released
Changed in python-saharaclient:
milestone: next → 0.7.5
status: Fix Committed → Fix Released
Michael Still (mikal) on 2015-02-19
Changed in python-novaclient:
milestone: none → 2.21.0
Michael Still (mikal) on 2015-02-19
Changed in python-novaclient:
status: Fix Committed → Fix Released
Changed in oslo.policy:
assignee: nobody → Ian Cordasco (icordasc)
importance: Undecided → Low
milestone: none → next-kilo
status: New → In Progress
Doug Hellmann (doug-hellmann) wrote :

Fixed in oslo.policy in 29cf374caf907ec64b0e14c994eabeb7688eba28

Changed in oslo.policy:
status: In Progress → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/178184

Changed in trove:
assignee: nobody → Sushil Kumar (sushil-kumar2)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/178196

Changed in python-troveclient:
assignee: nobody → Sushil Kumar (sushil-kumar2)
status: New → In Progress
Mike Perez (thingee) on 2015-04-29
Changed in cinder:
assignee: Liyingjun (liyingjun) → nobody
status: In Progress → Triaged
Thierry Carrez (ttx) on 2015-04-30
Changed in glance:
milestone: kilo-1 → 2015.1.0

Reviewed: https://review.openstack.org/178196
Committed: https://git.openstack.org/cgit/openstack/python-troveclient/commit/?id=8b1e3c36633eca72fe2cb7dc8cb0463bd5f78f8c
Submitter: Jenkins
Branch: master

commit 8b1e3c36633eca72fe2cb7dc8cb0463bd5f78f8c
Author: Sushil Kumar <email address hidden>
Date: Tue Apr 28 13:32:11 2015 +0000

    Corrects order of parameters to assertEqual

    The correct order of parameters to assertEqual is (expected,
    actual).
    It makes the assertion message more meaningful when there is
    a failure.

    Change-Id: Ifd35dbf6a6157c6ec7607e8ace6757b12f47657d
    Closes-Bug: #1277104

Changed in python-troveclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/178184
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=063de3a18bfbc314564994ac3a8d0bb78488436a
Submitter: Jenkins
Branch: master

commit 063de3a18bfbc314564994ac3a8d0bb78488436a
Author: Sushil Kumar <email address hidden>
Date: Tue Apr 28 13:17:55 2015 +0000

    Corrects order of parameters to assertEqual

    The correct order of parameters to assertEqual is (expected,
    actual).
    It makes the assertion message more meaningful when there is
    a failure.

    Change-Id: I1ad41bcbec30442785f4cdabb234980e336312d5
    Closes-Bug: #1277104
    Partial-Bug: #1445131

Changed in trove:
status: In Progress → Fix Committed
Changed in trove:
importance: Undecided → Low
Changed in python-troveclient:
milestone: none → 1.2.0
status: Fix Committed → Fix Released
Changed in cinder:
assignee: nobody → Vipin Balachandran (vbala)
Changed in trove:
milestone: none → liberty-1
Thierry Carrez (ttx) on 2015-06-23
Changed in trove:
status: Fix Committed → Fix Released
Changed in cinder:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/208460
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=f353836d7fa8862c2e5fbebb2dc0e108dcc93045
Submitter: Jenkins
Branch: master

commit f353836d7fa8862c2e5fbebb2dc0e108dcc93045
Author: Vipin Balachandran <email address hidden>
Date: Fri Jul 31 17:50:48 2015 +0530

    Refactor api.v2.volumes unit tests

    This patch refactors api.v2.volumes unit tests to use helper
    methods added in commit I7c4225de5d32ecd0ad78fc7c0ff847a8bee7b7da.
    It also fixes the order of assertEquals in refactored tests.

    Partial-Bug: #1277104
    Change-Id: I5b5aa9baea07fd46a52bb6c15897949a42748847

Skyler Berg (sberg-l) wrote :

Marking this as fix committed because it is a duplicate of https://bugs.launchpad.net/cinder/+bug/1259292 and I have closed it.

Changed in cinder:
assignee: Vipin Balachandran (vbala) → Skyler Berg (sberg-l)
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2015-09-03
Changed in cinder:
milestone: none → liberty-3
status: Fix Committed → Fix Released
gordon chung (chungg) on 2015-09-11
Changed in python-ceilometerclient:
assignee: Jia Dong (jiadong-jia) → nobody
status: In Progress → Triaged
Changed in python-swiftclient:
assignee: Roman Vasilets (rvasilets) → nobody
Thierry Carrez (ttx) on 2015-10-15
Changed in trove:
milestone: liberty-1 → 4.0.0
Thierry Carrez (ttx) on 2015-10-15
Changed in cinder:
milestone: liberty-3 → 7.0.0
Changed in python-ceilometerclient:
assignee: nobody → Steve Wilkerson (sw5822)
Changed in python-swiftclient:
assignee: nobody → Steve Wilkerson (sw5822)
Changed in python-ceilometerclient:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/252144
Committed: https://git.openstack.org/cgit/openstack/python-ceilometerclient/commit/?id=7c673951d9f4bf0baecceace27f2fb800ab7604c
Submitter: Jenkins
Branch: master

commit 7c673951d9f4bf0baecceace27f2fb800ab7604c
Author: Steve Wilkerson <email address hidden>
Date: Tue Dec 1 20:06:00 2015 -0600

    Fix the parameter order of assertEqual in ceilometerclient

    On assertEqual, the parameter order should be (expected, actual).
    Some of the tests in ceilometer client were written with invalid
    parameter orders. This patch fixes those tests.

    Change-Id: I9a7a81bdb0d9224f2b9cd53b7fb6eaf5ed7a582a
    Partial-Bug: 1277104

Changed in python-ceilometerclient:
status: In Progress → Fix Released
Changed in python-swiftclient:
status: In Progress → Fix Committed
Changed in python-swiftclient:
status: Fix Committed → Won't Fix

Change abandoned by Steve Wilkerson (<email address hidden>) on branch: master
Review: https://review.openstack.org/253316
Reason: Change not applicable to the project

Reedip (reedip-banerjee) on 2016-01-12
Changed in python-solumclient:
assignee: nobody → Reedip (reedip-banerjee)

Change abandoned by Kan (<email address hidden>) on branch: master
Review: https://review.openstack.org/266188

Kan (kansks) on 2016-01-12
Changed in ironic-python-agent:
assignee: nobody → Kan (kansks)
Dmitry Tantsur (divius) on 2016-01-12
Changed in ironic-python-agent:
importance: Undecided → Low
status: New → Triaged

Fix proposed to branch: master
Review: https://review.openstack.org/266247

Changed in ironic-python-agent:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/266194
Committed: https://git.openstack.org/cgit/openstack/python-ironicclient/commit/?id=5f87416ec19559378a2af983282cecc4aa8c1a68
Submitter: Jenkins
Branch: master

commit 5f87416ec19559378a2af983282cecc4aa8c1a68
Author: Kan <email address hidden>
Date: Tue Jan 12 05:59:53 2016 +0000

    Fix params order in assertEqual

    Fix params oeder to correspond to real signature:
        assertEqual(expected, actual)

    Change-Id: Iad65accc86a2d1f7df7284596e1bbceeb091d39e
    Closes-Bug: #1277104

Changed in manila:
assignee: nobody → Yatin Kumbhare (yatinkumbhare-c)

Fix proposed to branch: master
Review: https://review.openstack.org/266724

Changed in manila:
status: New → In Progress
Changed in neutron:
assignee: nobody → Yatin Kumbhare (yatinkumbhare-c)

Fix proposed to branch: master
Review: https://review.openstack.org/266819

Changed in neutron:
status: New → In Progress
Changed in manila:
importance: Undecided → Wishlist

Reviewed: https://review.openstack.org/266247
Committed: https://git.openstack.org/cgit/openstack/ironic-python-agent/commit/?id=2b07976b948d0e768e2b46c5b63ee454e5f8aeb2
Submitter: Jenkins
Branch: master

commit 2b07976b948d0e768e2b46c5b63ee454e5f8aeb2
Author: Kan <email address hidden>
Date: Tue Jan 12 09:03:19 2016 +0000

    Fix params order in assertEqual

    Fix params order to correspond to real signature:
        assertEqual(expected, actual)

    Change-Id: I129aad5d8bb7ca0541c07913cb5edd8eef9e90ba
    Closes-Bug: #1277104

Changed in ironic-python-agent:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/266819
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=b4db9c2644a04002232aee049315d89b2ac54bbe
Submitter: Jenkins
Branch: master

commit b4db9c2644a04002232aee049315d89b2ac54bbe
Author: Yatin Kumbhare <email address hidden>
Date: Wed Jan 13 15:27:52 2016 +0530

    Fix params order in assertEqual

    Fix params order to correspond to real signature:
    assertEqual(expected, actual)

    Change-Id: I7888ca97afad663185a508002c6d9c62357e0cde
    Closes-Bug: #1277104

Changed in neutron:
status: In Progress → Fix Released
Changed in python-solumclient:
status: New → In Progress

This issue was fixed in the openstack/neutron 8.0.0.0b2 development milestone.

Reviewed: https://review.openstack.org/264029
Committed: https://git.openstack.org/cgit/openstack/python-solumclient/commit/?id=6559731fb33bddccb364ab8430f6b41b1447f76f
Submitter: Jenkins
Branch: master

commit 6559731fb33bddccb364ab8430f6b41b1447f76f
Author: reedip <email address hidden>
Date: Wed Jan 6 14:38:55 2016 +0900

    Fix argument order for assertEqual to (expected, observed)

    assertEqual expects that the arguments provided to it should be (expected, observed).
    If a particluar order is kept as a convention, then it helps to provide a cleaner
    message to the developer if Unit Tests fail.
    The following patch fixes this issue

    TrivialFix

    Change-Id: I164dd6b2b820e4ca26bf3406f591ca786893f279
    Closes-Bug: #1259292
    Closes-Bug: #1277104

Changed in python-solumclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-ironicclient 1.1.0 release.

Reviewed: https://review.openstack.org/270660
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=6b4be76e1403c3a0e39b8bf487c57288bddb3cae
Submitter: Jenkins
Branch: master

commit 6b4be76e1403c3a0e39b8bf487c57288bddb3cae
Author: Yatin Kumbhare <email address hidden>
Date: Thu Jan 21 13:55:34 2016 +0530

    Fix params order in assertEqual

    Fix params order to correspond to real signature:
    assertEqual(expected, actual)

    Change-Id: I722b998f6eae47076f3d10213073296a0a9a2081
    Closes-Bug: #1277104

Reviewed: https://review.openstack.org/266724
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=dac72337f7efbd75e0eb269ad8e1fdd89a13e4b9
Submitter: Jenkins
Branch: master

commit dac72337f7efbd75e0eb269ad8e1fdd89a13e4b9
Author: Yatin Kumbhare <email address hidden>
Date: Wed Jan 13 12:16:06 2016 +0530

    Fix params order in assertEqual

    Fix params order to correspond to real signature:
    assertEqual(expected, actual)

    Change-Id: I5887e9c4fbd8953b3be9e89ce86758f8d1d842b2
    Closes-Bug: #1277104

Changed in manila:
status: In Progress → Fix Released

This issue was fixed in the openstack/neutron 8.0.0.0b3 development milestone.

This issue was fixed in the openstack/python-solumclient 2.0.0 release.

This issue was fixed in the openstack/manila 2.0.0.0b3 development milestone.

This issue was fixed in the openstack/ironic-python-agent 1.2.0 release.

Changed in kolla:
assignee: nobody → Surya Prakash Singh (confisurya)
importance: Undecided → Wishlist
status: New → Triaged
Changed in kolla:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/620882
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=24c993a059af06dafc0e26a851a8b56d2516bd31
Submitter: Zuul
Branch: master

commit 24c993a059af06dafc0e26a851a8b56d2516bd31
Author: confi-surya <email address hidden>
Date: Thu Nov 29 16:15:03 2018 +0530

    Fix the parameter order of assertEqual

    On assertEqual, the order of parameters should be (expected, observed).
    But, some part of kolla tests was written with invalid order.
    This patch fix the problem.

    Change-Id: I9fcfb3923716243ddb1886223e932ec12829fb2e
    Related-Bug: #1277104

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.